Results 1 to 6 of 6

Thread: Virtualbox installation error.

  1. #1
    Join Date
    Jun 2008
    Location
    South-West France
    Posts
    1,069

    Default Virtualbox installation error.

    Hello.

    Have done a full install with format.

    I am unable to install virrtualbox 5 from virtualbox site : VirtualBox-5.0-5.0.8_103449_openSUSE132-1.x86_64 .

    OS Realease :
    NAME=openSUSE
    VERSION="13.2 (Harlequin)"
    VERSION_ID="13.2"
    PRETTY_NAME="openSUSE 13.2 (Harlequin) (x86_64)"
    ID=opensuse
    ANSI_COLOR="0;32"
    CPE_NAME="cpe:/opensusepensuse:13.2"
    BUG_REPORT_URL="https://bugs.opensuse.org"
    HOME_URL="https://opensuse.org/"
    ID_LIKE="suse"
    Have run

    Code:
    cd /usr/src/linux
    make cloneconfig
    make prepare
    
    linux-cexh:~ # cd /usr/src/linux
    linux-cexh:/usr/src/linux # 
    linux-cexh:/usr/src/linux # make cloneconfig
    Cloning configuration file /proc/config.gz
    
    #
    # configuration written to .config
    #
    linux-cexh:/usr/src/linux # 
    linux-cexh:/usr/src/linux # make prepare
    scripts/kconfig/conf --silentoldconfig Kconfig
      CHK     include/config/kernel.release
      CHK     include/generated/uapi/linux/version.h
      CHK     include/generated/utsrelease.h
      CALL    scripts/checksyscalls.sh
    linux-cexh:/usr/src/linux # 
    linux-cexh:/usr/src/linux #
    Here kernel installed :

    Code:
    linux-cexh:~ # zypper se -i -s  kernel
    Loading repository data...
    Reading installed packages...
    
    S | Name                           | Type    | Version         | Arch   | Repository          
    --+--------------------------------+---------+-----------------+--------+---------------------
    i | devel_kernel                   | pattern | 20141007-5.1    | x86_64 | openSUSE-13.2-Update
    i | kernel-default-devel           | package | 3.16.7-29.1     | x86_64 | openSUSE-13.2-Update
    i | kernel-desktop                 | package | 3.16.7-29.1     | x86_64 | openSUSE-13.2-Update
    i | kernel-desktop-devel           | package | 3.16.7-29.1     | x86_64 | openSUSE-13.2-Update
    i | kernel-devel                   | package | 3.16.7-29.1     | noarch | openSUSE-13.2-Update
    i | kernel-firmware                | package | 20141122git-5.1 | noarch | openSUSE-13.2-Update
    i | kernel-macros                  | package | 3.16.7-29.1     | noarch | openSUSE-13.2-Update
    i | kernel-source                  | package | 3.16.7-29.1     | noarch | openSUSE-13.2-Update
    i | kernel-syms                    | package | 3.16.7-29.1     | x86_64 | openSUSE-13.2-Update
    i | kernel-xen-devel               | package | 3.16.7-29.1     | x86_64 | openSUSE-13.2-Update
    i | nfs-kernel-server              | package | 1.3.0-4.2.1     | x86_64 | openSUSE-13.2-Oss   
    i | patterns-openSUSE-devel_kernel | package | 20141007-5.1    | x86_64 | openSUSE-13.2-Update
    linux-cexh:~ #
    Here installed command :

    Code:
    linux-cexh:~ # zypper in --force -r zypper_local  VirtualBox-5.0
    Loading repository data...
    Reading installed packages...
    Forcing installation of 'VirtualBox-5.0-5.0.8_103449_openSUSE132-1.x86_64' from repository 'zypper_local'.
    Resolving package dependencies...
    
    The following package is going to be reinstalled:
      VirtualBox-5.0 
    
    1 package to reinstall.
    Overall download size: 60.5 MiB. Already cached: 0 B  No additional space will be used or freed after the operation.
    Continue? [y/n/? shows all options] (y): y
    Retrieving package VirtualBox-5.0-5.0.8_103449_openSUSE132-1.x86_64                                                                                            (1/1),  60.5 MiB (146.1 MiB unpacked)
    VirtualBox-5.0-5.0.8_103449_openSUSE132-1.x86_64.rpm:
        Header V4 DSA/SHA1 Signature, key ID 98ab5139: NOKEY
        V4 DSA/SHA1 Signature, key ID 98ab5139: NOKEY
    
    VirtualBox-5.0-5.0.8_103449_openSUSE132-1.x86_64(zypper_local): Signature verification failed [4-Signatures public key is not available]
    Abort, retry, ignore? [a/r/i] (a): i
    Checking for file conflicts: .................................................................................................................................................................[done]
    (1/1) Installing: VirtualBox-5.0-5.0.8_103449_openSUSE132-1 ..................................................................................................................................[done]
    Additional rpm output:
    warning: /var/cache/zypp/packages/zypper_local/VirtualBox-5.0-5.0.8_103449_openSUSE132-1.x86_64.rpm: Header V4 DSA/SHA1 Signature, key ID 98ab5139: NOKEY
    
    Creating group 'vboxusers'. VM users must be member of that group!
    
    No precompiled module for this kernel found -- trying to build one. Messages
    emitted during module compilation will be logged to /var/log/vbox-install.log.
    
    Stopping VirtualBox kernel modules..done
    Recompiling VirtualBox kernel modules..done
    Starting VirtualBox kernel modules..done
    
    
    linux-cexh:~ #


    Here start of virtualbox log :

    Code:
    linux-cexh:~ # cat /var/log/vbox-install.log
    Makefile:185: *** Error: unable to find the sources of your current Linux kernel. Specify KERN_DIR=<directory> and run Make again.  Stop.
    make KBUILD_VERBOSE=1 SUBDIRS=/tmp/vbox.0 SRCROOT=/tmp/vbox.0 CONFIG_MODULE_SIG= -C /lib/modules/3.16.7-29-desktop/build modules
    make[1]: Entering directory `/usr/src/linux-3.16.7-29-obj/x86_64/desktop'
    make -C /usr/src/linux-3.16.7-29-obj/x86_64/desktop \
    KBUILD_SRC=/usr/src/linux-3.16.7-29 \
    KBUILD_EXTMOD="/tmp/vbox.0" -f /usr/src/linux-3.16.7-29/Makefile \
    modules
    /usr/src/linux-3.16.7-29/arch/x86/Makefile:121: stack-protector enabled but compiler support broken
    /usr/src/linux-3.16.7-29/arch/x86/Makefile:136: CONFIG_X86_X32 enabled but no binutils support
    /usr/src/linux-3.16.7-29/Makefile:663: Cannot use CONFIG_CC_STACKPROTECTOR_REGULAR: -fstack-protector not supported by compiler
    make[3]: gcc: Command not found
    test -e include/generated/autoconf.h -a -e include/config/auto.conf || (                \
    echo >&2;                                                       \
    echo >&2 "  ERROR: Kernel configuration is invalid.";           \
    echo >&2 "         include/generated/autoconf.h or include/config/auto.conf are missing.";\
    echo >&2 "         Run 'make oldconfig && make prepare' on kernel src to fix it.";      \
    echo >&2 ;                                                      \
    /bin/false)
    mkdir -p /tmp/vbox.0/.tmp_versions ; rm -f /tmp/vbox.0/.tmp_versions/*
    make -f /usr/src/linux-3.16.7-29/scripts/Makefile.build obj=/tmp/vbox.0
      gcc -Wp,-MD,/tmp/vbox.0/linux/.SUPDrv-linux.o.d  -nostdinc -isystem  -I/usr/src/linux-3.16.7-29/arch/x86/include -Iarch/x86/include/generated  -I/usr/src/linux-3.16.7-29/include -Iinclude -I/usr/src/linux-3.16.7-29/arch/x86/include/uapi -Iarch/x86/include/generated/uapi -I/usr/src/linux-3.16.7-29/include/uapi -Iinclude/generated/uapi -include /usr/src/linux-3.16.7-29/include/linux/kconfig.h   -I/tmp/vbox.0 -D__KERNEL__ -Wall -Wundef -Wstrict-prototypes -Wno-trigraphs -fno-strict-aliasing -fno-common -Werror-implicit-function-declaration -Wno-format-security -m64 -mno-mmx -mno-sse -mno-red-zone -mcmodel=kernel -pipe -Wno-sign-compare -O2 -fstack-protector -fasynchronous-unwind-tables -g -pg -include /tmp/vbox.0/include/VBox/SUPDrvMangling.h   -I/lib/modules/3.16.7-29-desktop/build/include   -I/tmp/vbox.0/   -I/tmp/vbox.0/include   -I/tmp/vbox.0/r0drv/linux   -I/tmp/vbox.0/vboxdrv/   -I/tmp/vbox.0/vboxdrv/include   -I/tmp/vbox.0/vboxdrv/r0drv/linux -D__KERNEL__ -DMODULE -DRT_OS_LINUX -DIN_RING0 -DIN_RT_R0 -DIN_SUP_R0 -DVBOX -DRT_WITH_VBOX -DVBOX_WITH_HARDENING -DSUPDRV_WITH_RELEASE_LOGGER -Wno-declaration-after-statement -DCONFIG_VBOXDRV_AS_MISC -DRT_ARCH_AMD64 -DVBOX_WITH_64_BITS_GUESTS  -DMODULE  -D"KBUILD_STR(s)=#s" -D"KBUILD_BASENAME=KBUILD_STR(SUPDrv_linux)"  -D"KBUILD_MODNAME=KBUILD_STR(vboxdrv)" -c -o /tmp/vbox.0/linux/.tmp_SUPDrv-linux.o /tmp/vbox.0/linux/SUPDrv-linux.c
    /bin/sh: gcc: command not found
    /usr/src/linux-3.16.7-29/scripts/Makefile.build:273: recipe for target '/tmp/vbox.0/linux/SUPDrv-linux.o' failed
    make[4]: *** [/tmp/vbox.0/linux/SUPDrv-linux.o] Error 127
    /usr/src/linux-3.16.7-29/Makefile:1359: recipe for target '_module_/tmp/vbox.0' failed
    make[3]: *** [_module_/tmp/vbox.0] Error 2
    Makefile:195: recipe for target 'sub-make' failed
    make[2]: *** [sub-make] Error 2
    Makefile:24: recipe for target '__sub-make' failed
    make[1]: *** [__sub-make] Error 2
    Makefile:298: recipe for target 'vboxdrv' failed
    make: *** [vboxdrv] Error 2
    make KBUILD_VERBOSE=1 SUBDIRS=/tmp/vbox.0 SRCROOT=/tmp/vbox.0 CONFIG_MODULE_SIG= -C /lib/modules/3.16.7-29-desktop/build modules
    make[1]: Entering directory `/usr/src/linux-3.16.7-29-obj/x86_64/desktop'
    make -C /usr/src/linux-3.16.7-29-obj/x86_64/desktop \
    KBUILD_SRC=/usr/src/linux-3.16.7-29 \
    KBUILD_EXTMOD="/tmp/vbox.0" -f /usr/src/linux-3.16.7-29/Makefile \
    modules
    /usr/src/linux-3.16.7-29/arch/x86/Makefile:121: stack-protector enabled but compiler support broken
    /usr/src/linux-3.16.7-29/arch/x86/Makefile:136: CONFIG_X86_X32 enabled but no binutils support
    /usr/src/linux-3.16.7-29/Makefile:663: Cannot use CONFIG_CC_STACKPROTECTOR_REGULAR: -fstack-protector not supported by compiler
    make[3]: gcc: Command not found
    test -e include/generated/autoconf.h -a -e include/config/auto.conf || (                \
    echo >&2;                                                       \
    echo >&2 "  ERROR: Kernel configuration is invalid.";           \
    echo >&2 "         include/generated/autoconf.h or include/config/auto.conf are missing.";\
    echo >&2 "         Run 'make oldconfig && make prepare' on kernel src to fix it.";      \
    echo >&2 ;                                                      \
    /bin/false)
    mkdir -p /tmp/vbox.0/.tmp_versions ; rm -f /tmp/vbox.0/.tmp_versions/*
    make -f /usr/src/linux-3.16.7-29/scripts/Makefile.build obj=/tmp/vbox.0
      gcc -Wp,-MD,/tmp/vbox.0/linux/.SUPDrv-linux.o.d  -nostdinc -isystem  -I/usr/src/linux-3.16.7-29/arch/x86/include -Iarch/x86/include/generated  -I/usr/src/linux-3.16.7-29/include -Iinclude -I/usr/src/linux-3.16.7-29/arch/x86/include/uapi -Iarch/x86/include/generated/uapi -I/usr/src/linux-3.16.7-29/include/uapi -Iinclude/generated/uapi -include /usr/src/linux-3.16.7-29/include/linux/kconfig.h   -I/tmp/vbox.0 -D__KERNEL__ -Wall -Wundef -Wstrict-prototypes -Wno-trigraphs -fno-strict-aliasing -fno-common -Werror-implicit-function-declaration -Wno-format-security -m64 -mno-mmx -mno-sse -mno-red-zone -mcmodel=kernel -pipe -Wno-sign-compare -O2 -fstack-protector -fasynchronous-unwind-tables -g -pg -include /tmp/vbox.0/include/VBox/SUPDrvMangling.h   -I/lib/modules/3.16.7-29-desktop/build/include   -I/tmp/vbox.0/   -I/tmp/vbox.0/include   -I/tmp/vbox.0/r0drv/linux   -I/tmp/vbox.0/vboxdrv/   -I/tmp/vbox.0/vboxdrv/include   -I/tmp/vbox.0/vboxdrv/r0drv/linux -D__KERNEL__ -DMODULE -DRT_OS_LINUX -DIN_RING0 -DIN_RT_R0 -DIN_SUP_R0 -DVBOX -DRT_WITH_VBOX -DVBOX_WITH_HARDENING -DSUPDRV_WITH_RELEASE_LOGGER -Wno-declaration-after-statement -DCONFIG_VBOXDRV_AS_MISC -DRT_ARCH_AMD64 -DVBOX_WITH_64_BITS_GUESTS  -DMODULE  -D"KBUILD_STR(s)=#s" -D"KBUILD_BASENAME=KBUILD_STR(SUPDrv_linux)"  -D"KBUILD_MODNAME=KBUILD_STR(vboxdrv)" -c -o /tmp/vbox.0/linux/.tmp_SUPDrv-linux.o /tmp/vbox.0/linux/SUPDrv-linux.c
    /bin/sh: gcc: command not found
    /usr/src/linux-3.16.7-29/scripts/Makefile.build:273: recipe for target '/tmp/vbox.0/linux/SUPDrv-linux.o' failed
    make[4]: *** [/tmp/vbox.0/linux/SUPDrv-linux.o] Error 127
    /usr/src/linux-3.16.7-29/Makefile:1359: recipe for target '_module_/tmp/vbox.0' failed
    make[3]: *** [_module_/tmp/vbox.0] Error 2
    Makefile:195: recipe for target 'sub-make' failed
    make[2]: *** [sub-make] Error 2
    Makefile:24: recipe for target '__sub-make' failed
    make[1]: *** [__sub-make] Error 2
    Makefile:298: recipe for target 'vboxdrv' failed
    make: *** [vboxdrv] Error 2
    make KBUILD_VERBOSE=1 SUBDIRS=/tmp/vbox.0 SRCROOT=/tmp/vbox.0 CONFIG_MODULE_SIG= -C /lib/modules/3.16.7-29-desktop/build modules
    make[1]: Entering directory `/usr/src/linux-3.16.7-29-obj/x86_64/desktop'
    make -C /usr/src/linux-3.16.7-29-obj/x86_64/desktop \
    KBUILD_SRC=/usr/src/linux-3.16.7-29 \
    KBUILD_EXTMOD="/tmp/vbox.0" -f /usr/src/linux-3.16.7-29/Makefile \
    modules
    test -e include/generated/autoconf.h -a -e include/config/auto.conf || (                \
    echo >&2;                                                       \
    echo >&2 "  ERROR: Kernel configuration is invalid.";           \
    echo >&2 "         include/generated/autoconf.h or include/config/auto.conf are missing.";\
    echo >&2 "         Run 'make oldconfig && make prepare' on kernel src to fix it.";      \
    echo >&2 ;                                                      \
    /bin/false)
    Any help is welcome.
    Thanks for helping. JCD
    __________
    server leap 15.0 -- ASUS g75vw KDE leap 15.0 -- ASUS g750JZ Optimus KDE leap 15.1 -- acer aspire s13 win 10 home -- HP Omen win 10 home - scan EPSON V500 - Brother HL2250DN - Samsung CLP-325W

  2. #2

    Default Re: Virtualbox installation error.

    Why not install the openSUSE packages instead?
    (please uninstall the VirtualBox package from Oracle first before you try)

    If you need the latest version, you could add the Virtualization repo first, should be available in the Community Repositories list in YaST->Software Repositories->Add->Community Repositories.

    Those would prevent the need to recompile the kernel modules yourself...
    Last edited by wolfi323; 02-Nov-2015 at 14:42.

  3. #3
    Join Date
    Mar 2011
    Location
    Sauerland
    Posts
    4,071

    Default AW: Virtualbox installation error.

    Code:
    make[3]: gcc: Command not found
    Install gcc.

  4. #4
    Join Date
    Jun 2008
    Location
    South-West France
    Posts
    1,069

    Default Re: AW: Virtualbox installation error.

    Quote Originally Posted by Sauerland View Post
    Code:
    make[3]: gcc: Command not found
    Install gcc.
    http://paste.opensuse.org/82900627

    every things is installed for developement.
    Thanks for helping. JCD
    __________
    server leap 15.0 -- ASUS g75vw KDE leap 15.0 -- ASUS g750JZ Optimus KDE leap 15.1 -- acer aspire s13 win 10 home -- HP Omen win 10 home - scan EPSON V500 - Brother HL2250DN - Samsung CLP-325W

  5. #5
    Join Date
    Jun 2008
    Location
    South-West France
    Posts
    1,069

    Default Re: Virtualbox installation error.

    Quote Originally Posted by wolfi323 View Post
    Why not install the openSUSE packages instead?
    Because up to VirtualBox-5.0-5.0.0, i did this way.

    What is knew is that I have just reinstall OS13.2 and try to install VirtualBox-5.0-5.0.8_103449_openSUSE132-1.x86_64.rpm


    I will try withVirtualBox-5.0-5.0.0
    Thanks for helping. JCD
    __________
    server leap 15.0 -- ASUS g75vw KDE leap 15.0 -- ASUS g750JZ Optimus KDE leap 15.1 -- acer aspire s13 win 10 home -- HP Omen win 10 home - scan EPSON V500 - Brother HL2250DN - Samsung CLP-325W

  6. #6
    Join Date
    Jun 2008
    Location
    South-West France
    Posts
    1,069

    Default Re: Virtualbox installation error.

    Installing VirtualBox-5.0-5.0.0is fine.

    I am submitting a bug to virtualbox.

    I will give news when I have some.
    Thanks for helping. JCD
    __________
    server leap 15.0 -- ASUS g75vw KDE leap 15.0 -- ASUS g750JZ Optimus KDE leap 15.1 -- acer aspire s13 win 10 home -- HP Omen win 10 home - scan EPSON V500 - Brother HL2250DN - Samsung CLP-325W

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •